---
# Styles
---

body {
    margin: 0;
    font-size: 15px;
    line-height: 1.6;
    font-family: 'Montserrat', sans-serif;
    font-weight: 400;
    color: #3A3A3A;
}

* {
    box-sizing: border-box;
}

h1 {
    font-size: 2rem;
    line-height: 3rem;
    font-weight: 700;
}

h2 {
    font-size: 1.4rem;
    line-height: 2.8rem;
    font-weight: 400;
}

h3 {
    font-size: 1.1rem;
    line-height: 2.2rem;
    display: inline;
    font-weight: 700;
    vertical-align: middle;
}

.header {
    width: 90%;
    max-width: 1200px;
    margin: 0 auto;
    min-height: 50vh;
    text-align: center;
    display: flex;
    flex-flow: column;
    justify-content: center;
}

.button {
    display: inline-block;
    border: 1px solid;
    padding: 3px 10px 4px;
    border-radius: 3px;
    margin: 6px 12px 0 0;
    transition: .2s;
    &:hover {
        background: fade-out(#fff, 0.5);
    }
}

.icon {
    width: 24px;
    height: 24px;
    margin-right: 10px;
    vertical-align: middle;
    position: relative;
    &--sub {
        fill: #333;
        width: 16px;
        height: 16px;
        margin: 0;
        vertical-align: sub;
    }
}

.portfolio {
    list-style: none;
    padding: 0;
    margin: 0 auto;
    display: flex;
    flex-wrap: wrap;
    width: 90%;
    max-width: 1200px;
    &:hover {
        .repo {
            opacity: 0.5;
            &:hover {
                opacity: 1;
            }
        }
    }
}

.repo {
    position: relative;
    display: block;
    width: 32.33%;
    margin: .5%;
    padding: 30px 30px;
    background: fade-out(#4078c0, 0.9);
    transition: .2s;
    @media (max-width: 960px) {
        width: 49%;
    }
    @media (max-width: 600px) {
        width: 100%;
        margin: 0 0 20px;
    }
    &:nth-of-type(3n) {
        border-right: 0;
    }
    a {
        color: #4078c0;
        text-decoration: none;
    }
    > .icon {
        background: #4078c0;
    }
    &--html {
        background: fade-out(#F16529, 0.9);
        .icon {
            fill: #F16529;
            background: transparent;
        }
        a {
            color: #F16529;
        }
    }
    &--css {
        background: fade-out(#29A9DF, 0.9);
        .icon {
            fill: #29A9DF;
            background: transparent;
        }
        a {
            color: #29A9DF;
        }
    }
    &--javascript {
        background: fade-out(#E8C917, 0.9);
        .icon {
            fill: #E8C917;
            background: transparent;
        }
        a {
            color: #E8C917;
        }
    }
    &--java {
        background: fade-out(#F73D13, 0.9);
        .icon {
            fill: #F73D13;
            background: transparent;
        }
        a {
            color: #F73D13;
        }
    }
    &--liquid {
        background: fade-out(#95BE46, 0.9);
        .icon {
            fill: #95BE46;
            background: transparent;
        }
        a {
            color: #95BE46;
        }
    }
    &--tex {
        background: fade-out(#008480, 0.9);
        .icon {
            fill: #008480;
            background: transparent;
        }
        a {
            color: #008480;
        }
    }
}

.details {
    position: absolute;
    font-size: .8rem;
    top: 15px;
    right: 20px;
    opacity: 0.75;
    span {
        margin-left: 16px;
    }
}
